Gemini Enterprise Agent Platform in express mode REST API reference

Gemini Enterprise Agent Platform in express mode lets you try a subset of Agent Platform features by using an express mode API key passed in the x-goog-api-key HTTP header (or the key query parameter). This document shows the REST resources available for Agent Platform in express mode.

Unlike the standard REST resource endpoints on Google Cloud, endpoints that are available when using Agent Platform in express mode use the global endpoint aiplatform.googleapis.com and don't include projects or locations. In the following REST resource paths, {model} uses the resource path format publishers/google/models/MODEL_ID:

  • Standard Agent Platform endpoint format: https://LOCATION-aiplatform.googleapis.com/v1/projects/PROJECT_ID/locations/LOCATION/publishers/google/models/MODEL_ID:generateContent
  • Endpoint format for Agent Platform in express mode: https://aiplatform.googleapis.com/v1/publishers/google/models/MODEL_ID:generateContent

REST Resource: v1.publishers.models

Methods
countTokens POST /v1/{endpoint}:countTokens
Perform a token counting.
generateContent POST /v1/{model}:generateContent
Generate content with multimodal inputs.
streamGenerateContent POST /v1/{model}:streamGenerateContent
Generate content with multimodal inputs with streaming support.

REST Resource: v1beta1.publishers.models

Methods
countTokens POST /v1beta1/{endpoint}:countTokens
Perform a token counting.
generateContent POST /v1beta1/{model}:generateContent
Generate content with multimodal inputs.
streamGenerateContent POST /v1beta1/{model}:streamGenerateContent
Generate content with multimodal inputs with streaming support.